"use strict";
var __extends = (this && this.__extends) || (function () {
    var extendStatics = Object.setPrototypeOf ||
        ({ __proto__: [] } instanceof Array && function (d, b) { d.__proto__ = b; }) ||
        function (d, b) { for (var p in b) if (b.hasOwnProperty(p)) d[p] = b[p]; };
    return function (d, b) {
        extendStatics(d, b);
        function __() { this.constructor = d; }
        d.prototype = b === null ? Object.create(b) : (__.prototype = b.prototype, new __());
    };
})();
Object.defineProperty(exports, "__esModule", { value: true });
var React = require("react");
var example_app_base_1 = require("@uifabric/example-app-base");
var Checkbox_1 = require("office-ui-fabric-react/lib/Checkbox");
var Button_Default_Example_1 = require("./examples/Button.Default.Example");
var Button_ContextualMenu_Example_1 = require("./examples/Button.ContextualMenu.Example");
var Button_Primary_Example_1 = require("./examples/Button.Primary.Example");
var Button_Compound_Example_1 = require("./examples/Button.Compound.Example");
var Button_Command_Example_1 = require("./examples/Button.Command.Example");
var Button_Icon_Example_1 = require("./examples/Button.Icon.Example");
var Button_Anchor_Example_1 = require("./examples/Button.Anchor.Example");
var Button_ScreenReader_Example_1 = require("./examples/Button.ScreenReader.Example");
require("./examples/Button.Basic.Example.scss");
var ButtonDefaultExampleCode = require('!raw-loader!office-ui-fabric-react/src/components/Button/examples/Button.Default.Example.tsx');
var ButtonPrimaryExampleCode = require('!raw-loader!office-ui-fabric-react/src/components/Button/examples/Button.Primary.Example.tsx');
var ButtonCompoundExampleCode = require('!raw-loader!office-ui-fabric-react/src/components/Button/examples/Button.Compound.Example.tsx');
var ButtonCommandExampleCode = require('!raw-loader!office-ui-fabric-react/src/components/Button/examples/Button.Command.Example.tsx');
var ButtonIconExampleCode = require('!raw-loader!office-ui-fabric-react/src/components/Button/examples/Button.Icon.Example.tsx');
var ButtonAnchorExampleCode = require('!raw-loader!office-ui-fabric-react/src/components/Button/examples/Button.Anchor.Example.tsx');
var ButtonScreenReaderExampleCode = require('!raw-loader!office-ui-fabric-react/src/components/Button/examples/Button.ScreenReader.Example.tsx');
var ButtonContextualMenuExampleCode = require('!raw-loader!office-ui-fabric-react/src/components/Button/examples/Button.ContextualMenu.Example.tsx');
var ButtonPage = (function (_super) {
    __extends(ButtonPage, _super);
    function ButtonPage() {
        var _this = _super.call(this) || this;
        _this.state = {
            areButtonsDisabled: false
        };
        return _this;
    }
    ButtonPage.prototype.render = function () {
        return (React.createElement(example_app_base_1.ComponentPage, { title: 'Button', componentName: 'ButtonExample', exampleCards: React.createElement("div", null,
                React.createElement(Checkbox_1.Checkbox, { label: 'Disable buttons', checked: this.state.areButtonsDisabled, onChange: this._onDisabledChanged.bind(this) }),
                React.createElement(example_app_base_1.ExampleCard, { title: 'Default Button', code: ButtonDefaultExampleCode },
                    React.createElement(Button_Default_Example_1.ButtonDefaultExample, { disabled: this.state.areButtonsDisabled })),
                React.createElement(example_app_base_1.ExampleCard, { title: 'Primary Button', code: ButtonPrimaryExampleCode },
                    React.createElement(Button_Primary_Example_1.ButtonPrimaryExample, { disabled: this.state.areButtonsDisabled })),
                React.createElement(example_app_base_1.ExampleCard, { title: 'Compound Button', code: ButtonCompoundExampleCode },
                    React.createElement(Button_Compound_Example_1.ButtonCompoundExample, { disabled: this.state.areButtonsDisabled })),
                React.createElement(example_app_base_1.ExampleCard, { title: 'Command Button', code: ButtonCommandExampleCode },
                    React.createElement(Button_Command_Example_1.ButtonCommandExample, { disabled: this.state.areButtonsDisabled })),
                React.createElement(example_app_base_1.ExampleCard, { title: 'Icon Button', code: ButtonIconExampleCode },
                    React.createElement(Button_Icon_Example_1.ButtonIconExample, { disabled: this.state.areButtonsDisabled })),
                React.createElement(example_app_base_1.ExampleCard, { title: 'Contextual Menu Button', code: ButtonContextualMenuExampleCode },
                    React.createElement(Button_ContextualMenu_Example_1.ButtonContextualMenuExample, { disabled: this.state.areButtonsDisabled })),
                React.createElement(example_app_base_1.ExampleCard, { title: 'Button Like Anchor', code: ButtonAnchorExampleCode },
                    React.createElement(Button_Anchor_Example_1.ButtonAnchorExample, { disabled: this.state.areButtonsDisabled })),
                React.createElement(example_app_base_1.ExampleCard, { title: 'Button with Aria Description for Screen Reader', code: ButtonScreenReaderExampleCode },
                    React.createElement(Button_ScreenReader_Example_1.ButtonScreenReaderExample, { disabled: this.state.areButtonsDisabled }))), propertiesTables: React.createElement("div", null,
                React.createElement(example_app_base_1.PropertiesTableSet, { sources: [
                        require('!raw-loader!office-ui-fabric-react/src/components/Button/Button.Props.ts')
                    ] }),
                React.createElement("p", null,
                    "Besides the above properties, the ",
                    React.createElement("code", null, "Button"),
                    " component accepts all properties that the React ",
                    React.createElement("code", null, "button"),
                    " and ",
                    React.createElement("code", null, "a"),
                    " components accept.")), overview: React.createElement("div", null), related: React.createElement("a", { href: 'https://dev.office.com/fabric-js/Components/Button/Button.html' }, "Fabric JS"), bestPractices: React.createElement("div", null), dos: React.createElement("div", null), donts: React.createElement("div", null), isHeaderVisible: this.props.isHeaderVisible }));
    };
    ButtonPage.prototype._onDisabledChanged = function (ev, disabled) {
        this.setState({
            areButtonsDisabled: disabled
        });
    };
    return ButtonPage;
}(React.Component));
exports.ButtonPage = ButtonPage;

//# sourceMappingURL=ButtonPage.js.map
