"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
var styling_1 = require("@uifabric/styling");
var BaseButton_styles_1 = require("../BaseButton.styles");
var DEFAULT_BUTTON_HEIGHT = '40px';
var DEFAULT_PADDING = '0 4px';
function getStyles(theme, customClassNames) {
    if (theme === void 0) { theme = styling_1.getTheme(); }
    var baseButtonStyles = BaseButton_styles_1.getStyles(theme);
    var commandButtonStyles = {
        root: styling_1.css({
            borderWidth: '0',
            backgroundColor: 'transparent',
            padding: DEFAULT_PADDING,
            height: DEFAULT_BUTTON_HEIGHT,
            color: theme.colors.neutralPrimary,
        }),
        flexContainer: styling_1.css({
            justifyContent: 'flex-start'
        }),
        rootEnabled: styling_1.css({
            ':hover': {
                color: theme.colors.themeDarker
            },
            ':active': {
                color: theme.colors.themePrimary
            }
        }),
        iconEnabled: styling_1.css({
            color: theme.colors.themePrimary
        })
    };
    return styling_1.mergeRules(baseButtonStyles, commandButtonStyles, customClassNames);
}
exports.getStyles = getStyles;

//# sourceMappingURL=CommandButton.styles.js.map
