"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
var styling_1 = require("@uifabric/styling");
var DefaultButton_styles_1 = require("../DefaultButton/DefaultButton.styles");
var DEFAULT_BUTTON_HEIGHT = '32px';
var DEFAULT_BUTTON_MINWIDTH = '80px';
var DEFAULT_PADDING = '0 16px';
function getCompoundButtonStyles(theme, customClassNames) {
    if (theme === void 0) { theme = styling_1.getTheme(); }
    var defaultButtonStyles = DefaultButton_styles_1.getStyles(theme, customClassNames);
    var compoundButtonStyles = {
        root: styling_1.css({
            maxWidth: '280px',
            minHeight: '72px',
            height: 'auto',
            padding: '20px'
        }),
        rootEnabled: styling_1.css({
            ':hover .ms-Button-description': {
                color: theme.colors.neutralDark
            },
            ':active .ms-Button-description': {
                color: 'inherit'
            }
        }),
        flexContainer: styling_1.css({
            flexDirection: 'column',
            alignItems: 'flex-start',
            minWidth: '100%',
            margin: ''
        }),
        label: styling_1.css({
            margin: '0 0 5px',
            lineHeight: '100%'
        }),
        description: styling_1.css(theme.fonts.small, {
            lineHeight: '100%'
        }),
        descriptionEnabled: styling_1.css({
            color: theme.colors.neutralSecondary,
        })
    };
    return styling_1.mergeRules(defaultButtonStyles, compoundButtonStyles, customClassNames);
}
exports.getCompoundButtonStyles = getCompoundButtonStyles;

//# sourceMappingURL=CompoundButton.styles.js.map
