"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
var styling_1 = require("@uifabric/styling");
var BaseButton_styles_1 = require("../BaseButton.styles");
var DEFAULT_BUTTON_HEIGHT = '32px';
var DEFAULT_BUTTON_MINWIDTH = '80px';
var DEFAULT_PADDING = '0 16px';
function getStyles(theme, customClassNames, focusInset, focusColor) {
    if (theme === void 0) { theme = styling_1.getTheme(); }
    if (focusInset === void 0) { focusInset = '0'; }
    if (focusColor === void 0) { focusColor = theme.colors.neutralSecondary; }
    var baseButtonStyles = BaseButton_styles_1.getStyles(theme, focusInset, focusColor);
    var defaultButtonStyles = {
        root: styling_1.css({
            backgroundColor: theme.colors.neutralLighter,
            color: theme.colors.neutralPrimary,
            minWidth: DEFAULT_BUTTON_MINWIDTH,
            height: DEFAULT_BUTTON_HEIGHT,
        }),
        label: styling_1.css({
            fontWeight: 'bold' // theme.fontWeights.semibold,
        }),
        rootEnabled: styling_1.css({
            ':hover': {
                backgroundColor: theme.colors.neutralLight,
                color: theme.colors.black
            },
            ':active': {
                backgroundColor: theme.colors.themePrimary,
                color: theme.colors.white
            }
        })
    };
    return styling_1.mergeRules(baseButtonStyles, defaultButtonStyles, customClassNames);
}
exports.getStyles = getStyles;

//# sourceMappingURL=DefaultButton.styles.js.map
