"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
var styling_1 = require("@uifabric/styling");
var BaseButton_styles_1 = require("../BaseButton.styles");
var DEFAULT_BUTTON_HEIGHT = '32px';
var DEFAULT_PADDING = '0 4px';
function getStyles(theme, customClassNames) {
    if (theme === void 0) { theme = styling_1.getTheme(); }
    var baseButtonStyles = BaseButton_styles_1.getStyles(theme);
    var iconButtonStyles = {
        root: styling_1.css({
            backgroundColor: 'transparent',
            color: theme.colors.neutralSecondary,
            padding: '0 4px',
            width: '32px',
            height: '32px'
        }),
        rootEnabled: styling_1.css({
            ':hover': {
                color: theme.colors.themeDarker
            },
            ':active': {
                color: theme.colors.themePrimary
            }
        }),
        rootDisabled: styling_1.css({
            backgroundColor: 'transparent',
            '@media screen and (-ms-high-contrast: active)': {
                color: theme.colors.yellowLight
            },
            '@media screen and (-ms-high-contrast: black-on-white)': {
                color: theme.colors.blueMid
            }
        })
    };
    return styling_1.mergeRules(baseButtonStyles, iconButtonStyles, customClassNames);
}
exports.getStyles = getStyles;

//# sourceMappingURL=IconButton.styles.js.map
