"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
var styling_1 = require("@uifabric/styling");
var DefaultButton_styles_1 = require("../DefaultButton/DefaultButton.styles");
function getStyles(theme, customClassNames) {
    if (theme === void 0) { theme = styling_1.getTheme(); }
    var colors = theme.colors;
    var defaultButtonStyles = DefaultButton_styles_1.getStyles(theme, customClassNames, '0px', theme.colors.white);
    var primaryButtonStyles = {
        root: styling_1.css({
            backgroundColor: colors.themePrimary,
            color: colors.white,
        }),
        rootEnabled: styling_1.css({
            ':hover': {
                backgroundColor: colors.themeDark,
                color: colors.white
            },
            ':active': {
                backgroundColor: colors.themePrimary,
                color: colors.white
            }
        })
    };
    return styling_1.mergeRules(defaultButtonStyles, primaryButtonStyles, customClassNames);
}
exports.getStyles = getStyles;

//# sourceMappingURL=PrimaryButton.styles.js.map
